Skip to main content
POST
/
core
/
v1
/
domains
/
{domainName}
:renew
Renew Domain
curl --request POST \
  --url https://api.dev.name.com/core/v1/domains/{domainName}:renew \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "purchasePrice": 10.99,
  "years": 3
}
'
{
  "domain": {
    "domainName": "example.com",
    "createDate": "2023-01-15T14:30:00Z",
    "expireDate": "2025-01-15T14:30:00Z",
    "autorenewEnabled": true,
    "locked": true,
    "locks": [
      "ClientTransferProhibited"
    ],
    "privacyEnabled": true,
    "contacts": {
      "admin": {
        "firstName": "John",
        "lastName": "Doe",
        "companyName": "Example Inc.",
        "address1": "123 Main Street",
        "address2": "Suite 400",
        "city": "New York",
        "state": "NY",
        "zip": "10001",
        "country": "US",
        "email": "john.doe@example.com",
        "phone": "+15551234567",
        "fax": "+15557654321",
        "isVerified": true
      },
      "billing": {
        "firstName": "John",
        "lastName": "Doe",
        "companyName": "Example Inc.",
        "address1": "123 Main Street",
        "address2": "Suite 400",
        "city": "New York",
        "state": "NY",
        "zip": "10001",
        "country": "US",
        "email": "john.doe@example.com",
        "phone": "+15551234567",
        "fax": "+15557654321",
        "isVerified": true
      },
      "registrant": {
        "firstName": "John",
        "lastName": "Doe",
        "companyName": "Example Inc.",
        "address1": "123 Main Street",
        "address2": "Suite 400",
        "city": "New York",
        "state": "NY",
        "zip": "10001",
        "country": "US",
        "email": "john.doe@example.com",
        "phone": "+15551234567",
        "fax": "+15557654321",
        "isVerified": true
      },
      "tech": {
        "firstName": "John",
        "lastName": "Doe",
        "companyName": "Example Inc.",
        "address1": "123 Main Street",
        "address2": "Suite 400",
        "city": "New York",
        "state": "NY",
        "zip": "10001",
        "country": "US",
        "email": "john.doe@example.com",
        "phone": "+15551234567",
        "fax": "+15557654321",
        "isVerified": true
      }
    },
    "nameservers": [
      "ns1.example.com",
      "ns2.example.com"
    ],
    "renewalPrice": 12.99
  },
  "order": 123,
  "totalPaid": 5.95
}

Authorizations

Authorization
string
header
required

Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.

Path Parameters

domainName
string
required

DomainName is the domain to renew.

Body

application/json

RenewDomainRequest passes the domain name and purchase parameters to the RenewDomain function.

purchasePrice
number<double>

PurchasePrice is the amount in USD to pay for the domain renewal at the minimum renewal period (typically 1 year). If VAT tax applies, it will also be added automatically. PurchasePrice is required if this is a premium domain.

Example:

10.99

years
integer<int32>

Years specifies how many years to renew the domain for. Years defaults to the minimum time period (typically 1 year) if not passed and cannot be more than 10. Some TLDs default to longer periods (e.g. .AI requires a 2 year renewal).

Example:

3

Response

A successful response.

RenewDomainResponse contains the updated domain info as well as the order info for the renewed domain.

domain
object

Domain contains all relevant data for a domain.

order
integer<int32>
totalPaid
number<double>

TotalPaid is the total amount paid, including VAT.

Example:

5.95